Subject: bug#60376: 29.0.60; Standardize csharp-ts-mode's font-lock features

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Dec 2022 17:39:04 +0200

> Date: Fri, 30 Dec 2022 15:39:20 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> From: Jostein Kjønigsen <[email-masked]>
> 
> To be clear: I think csharp-ts-mode works well beyond 85% (it's what I 
> use as my daily driver), but the syntax-highlighting at level 3 may be 
> more excessive than some people (like Stefan) prefer.
> 
> If we instead for these "major" changes suggested by Yuan, instead aim 
> for just moving some "smaller" implementation-detail 
> (function-invocations and property-highlighting) to level 4, I think we 
> she be able to get something which is mostly what Stefan would expect 
> and prefer, and it would be a much smaller change.
> 
> Then we can take a look at those bigger changes (standardized features, 
> enabling/disabling them individually, as end-users, etc) for Emacs-30.
> 
> I think that's a more realistic plan. Does that sound OK?

Yes, it does.  And I urge you to submit patches to that effect.

Thanks.